@charset "UTF-8";
/*
//Creo la funcion str_replace en Sass que no existe
@function str-replace($string, $search, $replace: '') {
  $index: str_index($string, $search);

  @if $index {
    @return str_slice($string, 1, $index - 1) + $replace + str-replace(str_slice($string, $index + str_length($search)), $search, $replace);
  }

  @return $string;
}*/
/****************************************************************************************************\
 * HEADER                                                                                 *
\****************************************************************************************************/
/* ================================================================ */
/****************************************************************************************************\
 * Media-Querys                                                                                     *
\****************************************************************************************************/
/****************************************************************************************************\
 * Sistema de Grids                                                                                 *
\****************************************************************************************************/
/****************************************************************************************************\
 * Avatar letter                                                                                      *
\****************************************************************************************************/
/****************************************************************************************************\
 * Variables sin modo tienda                                                                       *
\****************************************************************************************************/
/****************************************************************************************************\
 * Botones                                                                                      *
\****************************************************************************************************/
/****************************************************************************************************\
* CONFIGURACIÓN DE LOS LAYAOUT                                                                     *
\****************************************************************************************************/
/****************************************************************************************************\
 * Social                                                                   *
\****************************************************************************************************/
/****************************************************************************************************\
   * Radiuss
\****************************************************************************************************/
/****************************************************************************************************\
 * Colores Principales // Colores Base                                                                   *
\****************************************************************************************************/
/**************************************************\
 * COLORES Y FONDOS DE INPUTS/LABELS              *
\**************************************************/
/*******************************************************\
 * TIPOGRAFÍA                                           *
\*******************************************************/
/****************************************************************************************************\
 * Thumbails                                                                                        *
\****************************************************************************************************/
/****************************************************************************************************\
 * Sistema de Media-Querys                                                                                 *
\****************************************************************************************************/
/*
  Examples:

    1) media-query('tablet-land');
         -Buscara el media-query 'tablet-land' como existe nos compilará con su condición

    2) media-query(350,true);
         -Como no existe el media-query (350) generará uno propio y lo devuelve en PX 350px

    3) media-query(350);
         -Como no existe el media-query (350) generará uno propio y convertirá los 350px en EM

    4) media-query(470,false,$max);
         -Como no existe el media-query (470) generará uno propio devolviendo su valor en EM y con la
         condición de max width

  Aqui estan definidas las condiciones por defecto
  $min: unquote('min-width:');
  $max: unquote('max-width:');
  $min-h: unquote('min-height:');
  $max-h: unquote('max-height:');


*/
/**********************************************************************************************************\
 * Para Construir Media-Query con dos Valores Numéricos por defecto, El primer valor ese el Mínimo y
   el Segundo el Máximo, devolviendo estos valores en PX o EM

    Examples:

    1) media-query-and(320,720);
         -Nos montará un Media-Query desde 20em anchura mínima hasta 45em anchura máxima siendo 16px la referencia

    2) media-query-and(320,720,true);
         -Nos montará un Media-Query desde 320px anchura mínima hasta 720px anchura máxima

    3) media-query-and(320,480,false,$min-h, $max-h);
         -Nos montará un Media-Query desde 20em altura mínima hasta 30em altura máxima siendo 16px la referencia

  Aqui estan definidas las condiciones por defecto
  $min: unquote('min-width:');
  $max: unquote('max-width:');
  $min-h: unquote('min-height:');
  $max-h: unquote('max-height:');

\**********************************************************************************************************/
@font-face {
  font-family: iconComponent;
  src: url(/fonts/ico-component.woff);
}
.icon-component {
  font-family: iconComponent, serif;
  font-size: 4rem;
  font-style: normal;
}

#main-pcmontado .banner-img {
  max-height: 170px;
  width: 100%;
}
@media all and (max-width: 30em) {
  #main-pcmontado .ctn-manufacturer-socket .ctn-style-socket {
    border-bottom: 1px solid #d2d5e0;
  }
}
@media all and (min-width: 30em) {
  #main-pcmontado .ctn-manufacturer-socket .ctn-style-socket {
    border-right: 1px solid #d2d5e0;
  }
}
#main-pcmontado .ctn-manufacturer-socket .ctn-socket {
  display: inline-flex;
}
#main-pcmontado .crite_selec {
  padding-right: 8px;
}
#main-pcmontado .crite_selec .ctn-crit-sel {
  border-bottom: 1px solid #d2d5e0;
  color: #2a2c40;
}
#main-pcmontado .crite_selec .ctn-crit-sel .type_ele {
  width: 100%;
  padding-bottom: 6px;
}
#main-pcmontado .crite_selec .ctn-crit-sel .type_ele span {
  font-size: 12px !important;
  font-size: 0.75rem !important;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .produc-denomination {
  font-size: 13px !important;
  font-size: 0.8125rem !important;
  padding-right: 20px;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .produc-sel {
  font-size: 13px !important;
  font-size: 0.8125rem !important;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .produc-ref {
  font-size: 12px !important;
  font-size: 0.75rem !important;
  padding-top: 8px;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .produc-stock {
  padding-top: 6px;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .produc-stock .stock {
  text-transform: uppercase;
  font-weight: 600;
  font-size: 11px !important;
  font-size: 0.6875rem !important;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .price-sel {
  font-size: 18px !important;
  font-size: 1.125rem !important;
  font-weight: bold;
  text-align: right;
  color: #000;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .price-sel.test {
  color: #2a2c40;
  position: absolute;
  right: 12px;
  top: 6px;
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .del-sel {
  position: absolute;
  right: 0px;
  top: 0px;
}
@media all and (min-width: 48em) {
  #main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .del-sel {
    top: 0px !important;
  }
}
#main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .del-sel i {
  font-size: 19px !important;
  font-size: 1.1875rem !important;
  font-weight: 700;
}
@media all and (min-width: 48em) {
  #main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .del-sel i {
    font-size: 17px !important;
    font-size: 1.0625rem !important;
  }
}
@media all and (min-width: 48em) {
  #main-pcmontado .crite_selec .ctn-crit-sel .ctn-field .del-sel:hover i {
    transition: 0.3s;
    color: #E4211F;
  }
}
#main-pcmontado .ctn-total {
  background-color: #f1f1f1;
  padding-top: 6px;
  padding-bottom: 6px;
  border-radius: 2px;
  margin-top: 12px;
}
#main-pcmontado .ctn-total .cart-price-items, #main-pcmontado .ctn-total .cart-price-items-total {
  font-size: 14px !important;
  font-size: 0.875rem !important;
  padding-left: 12px;
  font-weight: bold;
  color: #0d498b;
}
#main-pcmontado .ctn-total .cart-price-items.test, #main-pcmontado .ctn-total .cart-price-items-total.test {
  font-size: 14px !important;
  font-size: 0.875rem !important;
  padding-left: 12px;
  font-weight: bold;
  color: #0d498b;
}
#main-pcmontado .ctn-total .cart-price-items.test i, #main-pcmontado .ctn-total .cart-price-items-total.test i {
  vertical-align: sub;
}
#main-pcmontado .ctn-total .cart-end-price {
  font-size: 18px !important;
  font-size: 1.125rem !important;
  font-weight: bold;
  text-align: right;
  color: #000;
}
#main-pcmontado .ctn-total .cart-end-price.test {
  font-size: 18px !important;
  font-size: 1.125rem !important;
}
#main-pcmontado .ctn-option-save i {
  vertical-align: bottom;
}
#main-pcmontado .ctn_components .ctn_controls .btn-controls {
  cursor: pointer;
  position: absolute;
  top: 27%;
  z-index: 999;
}
@media all and (max-width: 40em) {
  #main-pcmontado .ctn_components .ctn_controls .btn-controls {
    display: none;
  }
}
#main-pcmontado .ctn_components .ctn_controls .btn-controls.b-left {
  left: 0;
}
#main-pcmontado .ctn_components .ctn_controls .btn-controls.b-right {
  right: 0;
}
#main-pcmontado .ctn_components .ctn_controls .btn-controls i {
  font-size: 40px !important;
  font-size: 2.5rem !important;
  color: #0d498b;
}
#main-pcmontado .ctn_components .ctn_controls .btn-controls:hover i {
  color: rgb(19.5427631579, 109.7401315789, 208.9572368421);
  animation: MoveLeftRight 1s linear infinite;
  transform: translateX(-5px);
}
#main-pcmontado .ctn_components .btn_opt {
  font-size: 14.5px !important;
  font-size: 0.90625rem !important;
  transition: 0.3s;
  cursor: pointer;
  text-align: center;
  border-bottom: 2px solid rgba(0, 0, 0, 0);
  height: 100%;
  min-height: 97px;
}
@media all and (min-width: 48em) {
  #main-pcmontado .ctn_components .btn_opt {
    min-height: 120px;
  }
}
#main-pcmontado .ctn_components .btn_opt .icon-component {
  font-size: 3.3rem;
  font-weight: 100;
}
#main-pcmontado .ctn_components .btn_opt:hover {
  transition: 0.3s;
  color: #0d498b;
  border-bottom: 2px solid #0d498b;
}
#main-pcmontado .ctn_components .btn_opt .material-icons {
  display: none;
  position: absolute;
  top: -10px;
  left: 38%;
  animation: MoveUpDown 1.4s linear infinite;
  transform: translateY(0px);
}
#main-pcmontado .ctn_components .btn_opt.active {
  font-weight: bold;
  transition: 0.3s;
  color: #E4211F;
  border-bottom: 2px solid #E4211F;
}
#main-pcmontado .ctn_components .btn_opt.active .material-icons {
  display: block;
  font-size: 1.87rem;
  font-weight: 100;
}
#main-pcmontado .ctn_components .section_selected {
  color: #11770F;
  border-bottom: 2px solid #11770F;
}
#main-pcmontado .ctn-config {
  background-color: rgba(255, 255, 255, 0);
  position: fixed;
  z-index: 250;
  width: 20rem;
  top: 113px;
  right: 0;
  min-height: calc(72vh - 58px) !important;
  margin-right: -319px;
  transition: margin-right ease 0.7s;
  -moz-transition: margin-right ease 0.7s;
  -webkit-transition: margin-right ease 0.7s;
  -o-transition: margin-right ease 0.7s;
}
@media all and (max-width: 40em) {
  #main-pcmontado .ctn-config {
    width: 21.4rem;
    margin-right: -288px;
  }
}

#main-pcmontado .ctn-config .open-config-cart {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  transition: 0.3s;
  position: absolute;
  display: block;
  width: 70px;
    @if(!is_mobile())
    height: 100%;
    @else

    @endif

    top: -5px;
  background-color: rgb(34, 122, 122);
  text-align: center;
  margin-top: 6px;
  z-index: 62;
  padding: 8px;
  left: -69px;
  border-radius: 0px 0px 0px 5px;
  box-shadow: -1px 1px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 6px 0px rgba(42, 44, 64, 0.26), 0px 0px 5px -3px rgba(42, 44, 64, 0);
}

/*@media all and (max-width: 40em) {*/
/*    #main-pcmontado .ctn-config .open-config-cart {*/
/*        -webkit-user-select: none;*/
/*        -moz-user-select: none;*/
/*        user-select: none;*/
/*        transition: 0.3s;*/
/*        position: absolute;*/
/*        display: block;*/
/*        width: 70px;*/

/*        top: -5px;*/
/*        background-color: rgb(34, 122, 122);*/
/*        text-align: center;*/
/*        margin-top: 6px;*/
/*        z-index: 62;*/
/*        padding: 8px;*/
/*        left: -69px;*/
/*        border-radius: 0px 0px 0px 5px;*/
/*        box-shadow: -1px 1px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 6px 0px rgba(42, 44, 64, 0.26), 0px 0px 5px -3px rgba(42, 44, 64, 0);*/
/*    }*/
/*}*/
#main-pcmontado .ctn-config .open-config-cart i {
  vertical-align: bottom;
}
#main-pcmontado .ctn-config .open-config-cart i.icon-arrow {
  color: #fff;
}
#main-pcmontado .ctn-config .open-config-cart i.icon-pm {
  color: #fff;
}
@media all and (min-width: 40em) {
  #main-pcmontado .ctn-config .open-config-cart:hover {
    transition: 0.3s;
    background-color: rgb(34, 122, 122);
    box-shadow: -1px 1px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 6px 0px rgba(42, 44, 64, 0.26), 0px 0px 5px -3px rgba(42, 44, 64, 0);
  }
  #main-pcmontado .ctn-config .open-config-cart:hover i.icon-arrow {
    transition: 0.3s;
    color: #fff;
    animation: none;
  }
  #main-pcmontado .ctn-config .open-config-cart:hover i.icon-pm {
    transition: 0.3s;
    color: #fff;
    animation: none;
  }
}
#main-pcmontado .ctn-config .ctn-config-pc {
  opacity: 0;
  transition: opacity 1s ease-in-out;
  position: relative;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.98);
  float: right;
  min-height: calc(72vh - 58px) !important;
}
#main-pcmontado .ctn-config .min-height-container {
  min-height: calc(57vh - 58px) !important;
}
@media all and (max-width: 40em) {
  #main-pcmontado .ctn-config .min-height-container {
    max-height: calc(46vh - 28px) !important;
  }
}
#main-pcmontado .ctn-config .product-scroll {
  max-height: 750px;
  overflow-y: auto;
  overflow-x: hidden;
  height: calc(53vh - 58px);
}
@media all and (min-width: 40em) {
  #main-pcmontado .ctn-config:hover, #main-pcmontado .ctn-config.open-all {
    margin-right: 0px;
    box-shadow: 0px 0px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 4px 0px rgba(42, 44, 64, 0.16), 0px 0px 6px -3px rgba(42, 44, 64, 0.45);
  }
  #main-pcmontado .ctn-config:hover .open-config-cart, #main-pcmontado .ctn-config.open-all .open-config-cart {
    transition: 0.3s;
    background-color: rgb(34, 122, 122);
    box-shadow: -1px 1px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 6px 0px rgba(42, 44, 64, 0.26), 0px 0px 5px -3px rgba(42, 44, 64, 0);
  }
  #main-pcmontado .ctn-config:hover .open-config-cart i.icon-arrow, #main-pcmontado .ctn-config.open-all .open-config-cart i.icon-arrow {
    transition: 0.3s;
    animation: none;
  }
  #main-pcmontado .ctn-config:hover .open-config-cart i.icon-pm, #main-pcmontado .ctn-config.open-all .open-config-cart i.icon-pm {
    transition: 0.3s;
    animation: none;
  }
  #main-pcmontado .ctn-config:hover .ctn-config-pc, #main-pcmontado .ctn-config.open-all .ctn-config-pc {
    transition: opacity 1s ease-in-out;
    opacity: 1;
  }
}
@media all and (max-width: 40em) {
  #main-pcmontado .ctn-config.open-mobile {
    margin-right: 0px;
    box-shadow: 0px 0px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 4px 0px rgba(42, 44, 64, 0.16), 0px 0px 6px -3px rgba(42, 44, 64, 0.45);
  }
  #main-pcmontado .ctn-config.open-mobile .open-config-cart {
    transition: 0.3s;
    background-color: rgb(34, 122, 122);
    box-shadow: -1px 1px 0px 0px rgba(42, 44, 64, 0.1), -2px 1px 6px 0px rgba(42, 44, 64, 0.26), 0px 0px 5px -3px rgba(42, 44, 64, 0);
  }
  #main-pcmontado .ctn-config.open-mobile .open-config-cart i.icon-arrow {
    transition: 0.3s;
    animation: none;
  }
  #main-pcmontado .ctn-config.open-mobile .open-config-cart i.icon-pm {
    transition: 0.3s;
    animation: none;
  }
  #main-pcmontado .ctn-config.open-mobile .ctn-config-pc {
    transition: opacity 0.5s ease-in-out;
    opacity: 1;
  }
}
#main-pcmontado-saved .banner-img {
  max-height: 170px;
  width: 100%;
}
#main-pcmontado-saved header .title h1 {
  text-align: left;
  font-size: 18px !important;
  font-size: 1.125rem !important;
  font-weight: bold;
}
#main-pcmontado-saved header .subtitle p {
  font-size: 14px !important;
  font-size: 0.875rem !important;
  text-align: center;
}
#main-pcmontado-saved .table-pcmontado .title-pcmontado h1 {
  text-align: left;
  font-size: 14px !important;
  font-size: 0.875rem !important;
}
#main-pcmontado-saved .table-pcmontado .title-pcmontado h1 span {
  font-weight: bold;
}
#main-pcmontado-saved .table-pcmontado .title-pcmontado h2 {
  padding-top: 6px;
  text-align: left;
  font-size: 14px !important;
  font-size: 0.875rem !important;
}
#main-pcmontado-saved .table-pcmontado .title-pcmontado h2 span {
  font-weight: bold;
}
#main-pcmontado-saved .table-pcmontado .buttons-pcmontado i {
  vertical-align: bottom;
}
#main-pcmontado-saved .table-pcmontado .line-content-header {
  font-size: 14px !important;
  font-size: 0.875rem !important;
  color: rgb(88.75, 88.75, 88.75);
  border-bottom: 1px solid #d2d5e0;
  padding-bottom: 6px;
  font-weight: bold;
}
@media all and (max-width: 63.8em) {
  #main-pcmontado-saved .table-pcmontado .line-content-header {
    display: none;
  }
}
#main-pcmontado-saved .table-pcmontado .line-content-header.price-end-montado {
  background-color: rgba(42, 44, 64, 0.06);
  color: #2a2c40;
  border-radius: 3px;
  margin-top: 30px;
}
#main-pcmontado-saved .table-pcmontado .line-content-row {
  border-bottom: 1px solid #d2d5e0;
}
#main-pcmontado-saved .table-pcmontado .line-content-row.details {
  border-top: 1px solid #d2d5e0;
}
#main-pcmontado-saved .table-pcmontado .line-content-row .line-content-text {
  font-size: 13px !important;
  font-size: 0.8125rem !important;
  color: #4C4C4C;
}
#main-pcmontado-saved .table-pcmontado .line-content-row .line-content-text span i {
  font-size: 21px !important;
  font-size: 1.3125rem !important;
  color: #0d498b;
}
#main-pcmontado-saved .table-pcmontado .line-content-row .line-content-text span a {
  position: absolute;
  padding-left: 12px;
  bottom: 14px;
}
@media all and (min-width: 63.8em) {
  #main-pcmontado-saved .table-pcmontado .line-content-row .line-content-text span a {
    bottom: 14px;
  }
}
@media all and (min-width: 48em) {
  #main-pcmontado-saved .table-pcmontado .line-content-row .line-content-text.pr-30 {
    padding-right: 30px;
  }
}
@media all and (max-width: 30em) {
  #main-pcmontado-saved .table-pcmontado .line-content-row .line-content-text .margin-left-zero {
    margin-left: 0 !important;
  }
}
#main-pcmontado-saved .table-pcmontado .line-content-row .line-content-denomination {
  font-size: 13.6px !important;
  font-size: 0.85rem !important;
  color: #4c4c4c;
}
#main-pcmontado-saved .table-pcmontado .line-content-row .line-content-ref {
  color: #828282;
  font-size: 12px !important;
  font-size: 0.75rem !important;
}
#main-pcmontado-saved .table-pcmontado .line-content-row .header-table-row {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  color: #1a181b;
  display: block;
  font-size: 11px !important;
  font-size: 0.6875rem !important;
  margin-bottom: 6px;
  font-weight: 600;
}
@media all and (min-width: 63.8em) {
  #main-pcmontado-saved .table-pcmontado .line-content-row .header-table-row {
    display: none !important;
  }
}
#main-pcmontado-saved .table-pcmontado .stock-green, #main-pcmontado-saved .table-pcmontado .stock-yellow, #main-pcmontado-saved .table-pcmontado .stock-red {
  font-weight: bold;
  font-size: 11px !important;
  font-size: 0.6875rem !important;
  padding: 6px 6px 6px 6px;
  border-radius: 2px;
}
#main-pcmontado-saved .table-pcmontado .stock-green {
  color: #11770F;
  border: 1px solid #11770F;
}
#main-pcmontado-saved .table-pcmontado .stock-yellow {
  color: rgb(217.1142857143, 141.55, 6.3857142857);
  border: 1px solid rgb(217.1142857143, 141.55, 6.3857142857);
}
#main-pcmontado-saved .table-pcmontado .stock-red {
  color: #E4211F;
  border: 1px solid #E4211F;
}
#main-pcmontado-saved .icon-expand {
  position: relative;
  top: 18px;
  font-weight: bold;
}
@media all and (min-width: 63.8em) {
  #main-pcmontado-saved .icon-expand {
    top: 20px !important;
  }
}

.ctn-sticky-components {
  transition: 0.3s;
  position: sticky;
  top: 7.12rem;
  width: 100%;
  opacity: 0.98;
  z-index: 1999;
}
@media all and (min-width: 63.8em) {
  .ctn-sticky-components {
    z-index: 3000;
  }
}
.bg-components {
    background-color: #f0ffff!important;
    border-radius: 10px;
    box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2)
}
 .bg-banner {
     background-repeat: no-repeat;
     /*background-color: #f0ffff!important;*/
     background: linear-gradient(  #f0ffff 90%, #e0f3f3 95%, #FFFFFF 5% ) !important;
     width: 100%;
     height: 100%;
     top: 0;
     left: 0;

 }
.titulo {
    color: #141f78!important;
    @if(!is_mobile())
    font-size: 32px!important;
    @else
    font-size: 18px!important;
    @endif
    text-align: center!important;
    font-weight: bold;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 10%;
}
.bg-blue {
    margin: 0;
    background-repeat: no-repeat;
    background-color: #05197c!important;
    height: 100%;
    top: 0;
    left: 0;
    padding: 5px;
}

